import { Component, OnInit } from '@angular/core';
import { CompNavComponent } from '../../../app/comp-nav/comp-nav.component'
import { RouterOutlet, Router } from '@angular/router';
import { CommonCompModule } from '../../../services/common.modules'

@Component({
  selector: 'app-page-home',
  standalone: true,
  imports: [CompNavComponent,RouterOutlet,CommonCompModule],
  templateUrl: './page-home.component.html',
  styleUrls: ['./page-home.component.scss'],
})
export class PageHomeComponent  implements OnInit {

  options:Array<any> = [
    {
      name:'报送流程',
      id:'1',
      path: '/nav-review/home/apply',
    },
    {
      name:'个人信息',
      id:'2',
      path: '/nav-review/profile',
    },
  ]
  active:string = localStorage.getItem('active') || this.options[0].id
  constructor(
    public router: Router,
  ) { }

  ngOnInit() {}
  toUrl(child: any){
    let cateid = child.id;
    this.active = cateid;
    localStorage.setItem('active', cateid);
    console.log(child);
    if (child.params) {
      this.router.navigate([child.path, child?.params]);
    } else {
      this.router.navigate([child.path]);
    }
  }
}
